<!--
 Repository download page.
 download.php
 Download archives from the repository.
 As the repository directory is secure,
 this page is designed to be stored in any directory at the same level as repository dir.
 Version 0.0.3
 Copyright (c) 2001-2002 Alexis Grandemange
 Mail: alexis.grandemange@pagebox.net
 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; version
 2.1 of the License.
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 GNU Lesser General Public License for more details.
 A copy of the GNU Lesser General Public License lesser.txt should be
 included in the distribution.
 -->
<html>
<head>
<meta http-equiv="Cache-Control" content="no-cache">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="Description" content="Download from PHP Pagebox repository">
<meta name="keywords" content="Download, PHP, Pagebox, repository">
<link rel="stylesheet" href="pagebox.css" type="text/css">
<script src="pagebox.js"></script>
<title>Download from PHP Pagebox repository</title>
</head>
<body>
<?php
include("../repository/archive.inc");
if (!lock("download.php", $HTTP_SERVER_VARS["REMOTE_USER"], $HTTP_SERVER_VARS["REMOTE_ADDR"])) {
  $status = "Repository locked - retry later";
} else {
  $download = $HTTP_SERVER_VARS["HTTP_HOST"] .
    str_replace("repository", "download", dirname($HTTP_SERVER_VARS["REQUEST_URI"]));
  $archRep = restore_archives($download);
}
?>
<table width="100%"><tr>
<td align="left" width="8%">
<a href="http://pagebox.net/php/php-index.html" style="text-decoration:none;background:white;color:white">
<img src="logo.gif" alt="Download from PHP Pagebox repository" border="0"></a></td>
<td align="left"><h1>Download</h1></td>
<td align="right"><a href="../repository/admin.php" alt="Administration of PHP Pagebox repository">Administration</a></td>
<td align="right"><a href="../repository/subscriber.php" alt="Subscriber of PHP Pagebox repository">Subscriber</a></td>
<td align="right"><a href="../repository/publisher.php" alt="Publisher of PHP Pagebox repository">Publisher</a></td>
<td align="right"><a href="../repository/audit.php" alt="Audit of PHP Pagebox repository">Audit</a></td>
<td align="right"><a href="../repository/batch.php" alt="Batch report on PHP Pagebox repository">Batch</a></td>
<td align="right"><a href="../repository/environment.php" alt="PHP environment">Environment</a></td>
<td align="right"><a href="mailto:support@pagebox.net">
<img src="mail.gif" alt="support@pagebox.net" border="0"></a></td></tr></table>
<table width="100%"><tr bgcolor="maroon">
<th width="20%">Archive</th><th width="20%">Date</th>
<th width="14%">Owner</th><th width="26%">Documentation</th><th width="10%">Size</th></tr>
<?php
/**
 * Lists archives.
 */
if ($status != "Repository locked - retry later") {
  if ($archRep->archives != NULL) {
    while (list($key, $value) = each ($archRep->archives)) {
      echo '<td width="20%"><a href="../download/', $key, '">', $key, '</td>';
      echo '<td width="20%">', date("d M Y h:i:s", filemtime("../download/" . $key)), '</td>';
      echo '<td width="14%">', $value, '</td>';
      echo '<td width="26%"><a href="', $archRep->docs[$key], '">', $archRep->docs[$key], '</a></td>';
      echo '<td width="10%">', filesize("../download/" . $key), '</td></tr>';
    }
  }
}
?>
</table>
<p class="timestamp"><?= $status ?></p>
<p align="center">&#169;2002 Alexis Grandemange.
<font class="timestamp">Last modified
<script>document.write(document.lastModified);</script>.
</font></p>
</body>
</html>