#!/usr/bin/php -q
<?php
/**
 * Batch cleanup of PageBox repository
 * cleanup.php
 * Version 0.02
 * Copyright (c) 2001-2002 Alexis Grandemange
 * Mail: alexis.grandemange@pagebox.net
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; version
 * 2.1 of the License.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 * A copy of the GNU Lesser General Public License lesser.txt should be
 * included in the distribution.
 */
if ($argc >= 2) {
  echo '<tr><td width="20%">', date("d M Y h:i:s") , '</td><td width="80%">Usage: cleanup.php download_URL</td></tr>';
} else {
  include("archive.inc");
  lock("cleanup() ", "batch", " ");
  $status = cleanup($argv[1]);
  unlock();
  audit("cleanup() " . $status, "batch", " ");
  echo '<tr><td width="20%">', date("d M Y h:i:s") , '</td><td width="80%">', $status, '</td></tr>';
}
?>